classification
Title: Tix.Grid patch
Type: enhancement Stage: test needed
Components: Tkinter Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: loewis Nosy List: gpolo, klappnase, loewis, mkiever
Priority: normal Keywords: patch

Created on 2006-07-14 14:23 by klappnase, last changed 2009-08-18 15:38 by gpolo. This issue is now closed.

Files
File name Uploaded Description Edit
patch_tix.txt klappnase, 2006-07-14 14:23 against 46691
revised_1522587.diff gpolo, 2009-06-29 22:31
Messages (6)
msg50699 - (view) Author: klappnase (klappnase) * Date: 2006-07-14 14:23
This patch fixes some issues with the newly added
Tix.Grid widget:
- fixed entrycget() and entryconfigure()
- fixed typo in yview_moveto()
- replaced self with self._w in function calls
- changed xview() and yview() to accept parameters, as
in Tkinter
- added _dummyGrid class and fixed the ScrolledGrid
- added a few useful constants

-added methods:
    - anchor_clear()
    - anchor_set()
    - bdtype()
    - dragsite_set(), _get() and _clear() and
corresponding dropsite_() methods
    - edit_apply() and edit_set()
    - format_border() and format_grid()
    - geometryinfo()
    - index()
    - move_row() and move_column()
    - selection_set(), _get(). _clear(), _toggle() and
_includes()
    - size_row() and size_column()
    - sort_row() and sort_column()
    - unset()

I also added some (hopefully useful) docstrings.
msg89580 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-06-21 20:04
Weird.. I guess no one ever used Tix.Grid ?
msg89887 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-06-29 22:31
I've reviewed it now and produced a patch based on it, but it doesn't
include undocumented Tix features that were added.

I'm separating this new patch into two parts, the first part isn't
supposed to affect Tix users, so it should be safe to commit. The second
part is just a minor change in Tix.Grid.entrycget which adds a '-'
before an option name (.diff not attached).

There are also problems regarding xview/yview, but I decided to not fix
them here. I expect to solve this in issue1135.
msg89888 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-06-29 22:34
I forgot to include the new Grid constants, but I'm ok on adding them.
msg91690 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-08-18 14:35
New constants and methods have been commited on r74510. I've added only
the tix commands that are actually supported by tix.

The fixes for some of the methods have been committed on r74511.
msg91706 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-08-18 15:38
py3k branch: r74518.
History
Date User Action Args
2009-08-18 15:38:06gpolosetresolution: accepted -> fixed
messages: + msg91706
2009-08-18 14:35:15gpolosetstatus: open -> closed
resolution: accepted
messages: + msg91690
2009-06-29 22:34:11gpolosetmessages: + msg89888
2009-06-29 22:31:20gpolosetfiles: + revised_1522587.diff

messages: + msg89887
2009-06-21 20:04:27gpolosetnosy: + gpolo
messages: + msg89580
2009-03-30 04:49:03ajaksu2setstage: test needed
type: enhancement
versions: + Python 3.1, Python 2.7, - Python 2.5
2007-10-14 13:14:43mkieversetnosy: + mkiever
2006-07-14 14:23:29klappnasecreate